Subject: [Idr] 答复: FW: New Version Notification for draft-wang-idr-bgpls-inter-as-topology-ext-01.txt

From: "Aijun Wang" <[email-masked]>
Date: Mon, 23 Jul 2018 16:38:28 +0800

Hi, Jeff and Ketan:

Thanks for your comments on the presentation <https://datatracker.ietf.org/meeting/102/materials/slides-102-idr-sessb-bgp-ls-extend-for-inter-as-topology-retrieval-00>  at the IETF 102 meeting, below are the responses for your comments and questions:

Ketan: It would be good to describe the new TLVs in the document

[Aijun Wang]: Yes, I will describe them in detail in the updated version.

Jeff Tantsura: The address space used on the interconnection address space is uncommon to be imported into the IGP. The address space from other operator does not belong in your IGP address space. 

[Aijun Wang]: As I described in the scenario slide(I copy it also for your convenience), it is common for one operator occupy several IGP domains that composited by its backbone network and several MAN(Metrio-Area-Network)s/IDCs. When they do Traffic Engineering from end to end that spans MAN-Backbone-IDC, they need to know the inter-as topology via the proposals that described in this draft. Then it is naturally to redistribute the interconnection prefixes.

If these IGP domains belong to different operators, it is uncommon do inter-as traffic engineering under one PCE/SDN controller/, then it is unnecessary to get the inter-as topology. But redistributing the interconnection prefixes will do no harm to their networks, because the redistributed interconnection link prefixes belongs to both of them, they are also the interfaces address on the border routers.

If the above explanation acceptable, I can add it to the “security consideration” part of the updated version of this draft.

Thanks in advance.

Best Regards.

Aijun Wang

Network R&D and Operation Support Department

China Telecom Corporation Limited Beijing Research Institute,Beijing, China.

-----邮件原件-----
发件人: Aijun Wang [mailto:[email-masked]] 
发送时间: 2018年6月29日 14:30
收件人: [email-masked]
主题: [Idr] FW: New Version Notification for draft-wang-idr-bgpls-inter-as-topology-ext-01.txt

Hi, All IDRer:

We have uploaded the updated version of the draft about BGP-LS extension for inter-AS topology retrieval, which addresses the valuable comments from Acee and Ketan during IETF 101 meeting in London.

The draft can be access at  <https://tools.ietf.org/html/draft-wang-idr-bgpls-inter-as-topology-ext-01> https://tools.ietf.org/html/draft-wang-idr-bgpls-inter-as-topology-ext-01

Any comments and suggestions are welcome.

Best Regards.

Aijun Wang

Network R&D and Operation Support Department China Telecom Corporation Limited Beijing Research Institute,Beijing, China.

-----邮件原件-----

发件人:  <mailto:[email-masked]> [email-masked] [ <mailto:[email-masked]> mailto:[email-masked]]

发送时间: 2018年6月29日 14:14

收件人: Aijun Wang

主题: New Version Notification for draft-wang-idr-bgpls-inter-as-topology-ext-01.txt

A new version of I-D, draft-wang-idr-bgpls-inter-as-topology-ext-01.txt

has been successfully submitted by Aijun Wang and posted to the IETF repository.

Name:               draft-wang-idr-bgpls-inter-as-topology-ext

Revision:  01

Title:                  BGP-LS Extend for Inter-AS Topology Retrieval

Document date:       2018-06-28

Group:               Individual Submission

Pages:               7

URL:             <https://www.ietf.org/internet-drafts/draft-wang-idr-bgpls-inter-as-topology-ext-01.txt> https://www.ietf.org/internet-drafts/draft-wang-idr-bgpls-inter-as-topology-ext-01.txt

Status:          <https://datatracker.ietf.org/doc/draft-wang-idr-bgpls-inter-as-topology-ext/> https://datatracker.ietf.org/doc/draft-wang-idr-bgpls-inter-as-topology-ext/

Htmlized:        <https://tools.ietf.org/html/draft-wang-idr-bgpls-inter-as-topology-ext-01> https://tools.ietf.org/html/draft-wang-idr-bgpls-inter-as-topology-ext-01

Htmlized:        <https://datatracker.ietf.org/doc/html/draft-wang-idr-bgpls-inter-as-topology-ext> https://datatracker.ietf.org/doc/html/draft-wang-idr-bgpls-inter-as-topology-ext

Diff:            <https://www.ietf.org/rfcdiff?url2=draft-wang-idr-bgpls-inter-as-topology-ext-01> https://www.ietf.org/rfcdiff?url2=draft-wang-idr-bgpls-inter-as-topology-ext-01

Abstract:

   This document describes the process to build BGP-LS key parameters in

   Native IP multi-domain scenario and defines some new inter-AS TE

   related TLVs for BGP-LS to let SDN controller retrieve the network

   topology automatically under various environments.

   Such process and extension can expand the usage of BGP-LS protocol to

   multi- domain, enable the network operator to collect the connection

   relationship between different AS domains and then calculate the

   overall network topology automatically based on the information

   provided by BGP-LS protocol.

 

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

_______________________________________________

Idr mailing list

 <mailto:[email-masked]> [email-masked]

 <https://www.ietf.org/mailman/listinfo/idr> https://www.ietf.org/mailman/listinfo/idr